<?php
//user_fetch.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
        $user_type = $_SESSION['user_type'];
        $user_id = $_SESSION['user_id'];
        $user_name = $_SESSION['user_name'];
        $branch_id = $_SESSION['branch_id'];
        $branch_name = $_SESSION['branch_name'];
        $store_id = $_SESSION['store_id'];
        $store_name = $_SESSION['store_name'];
}else{
    header('Location: login');
    die();
}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_accounts_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_accounts_edit = $statement->fetchColumn();
            $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_accounts_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_accounts_delete = $statement->fetchColumn();
$query = '';
$output = array();
$query .= "
SELECT a.acc_no,a.acc_name,a.acc_type,a.status, b.acc_name as parent FROM accounts a,accounts_parent b WHERE a.acc_parent=b.acc_no and a.user_id > 15 and a.acc_type not LIKE '%DEBTOR%' and a.acc_type not LIKE '%CREDITOR%' AND";
if(isset($_POST["search"]["value"]))
{
	$query .= '(a.acc_name LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR b.acc_name LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR a.acc_type LIKE "%'.$_POST["search"]["value"].'%")';
	
	
}
if(isset($_POST["order"]))
{
	$query .= 'ORDER BY '.$_POST['order']['0']['column'].' '.$_POST['order']['0']['dir'].' ';
}
else
{
	$query .= 'ORDER BY a.acc_no DESC ';
}
if($_POST["length"] != -1)
{
	$query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
}
$statement = $connect->prepare($query);
$statement->execute();
$result = $statement->fetchAll();
$data = array();
$filtered_rows = $statement->rowCount();
foreach($result as $row)
{
	$status = '';
	if($row["status"] == 'Active')
	{
		$status = '<span class="label label-success">Active</span>';
	}
	else
	{
		$status = '<span class="label label-danger">Inactive</span>';
	}
	$sub_array = array();
	$sub_array[] = $row['acc_no'];
	
	$sub_array[] = $row['acc_name'];
	$sub_array[] = $row['acc_type'];
	$sub_array[] = $row['parent'];
	$sub_array[] = $status;
	if($gl_accounts_edit=='ON'){
	$sub_array[] = '<button type="button" name="update" id="'.$row["acc_no"].'" class="btn btn-warning  update"><i class="fa fa-edit"></i></button>';
	}
	
	if($gl_accounts_delete=='ON')
	{
	$sub_array[] = '<button type="button" name="delete" id="'.$row["acc_no"].'" class="btn btn-danger  delete" data-status=""><i class="fa fa-trash-o"></i></button>';
	}
	$data[] = $sub_array;
}
$output = array(
	"draw"				=>	intval($_POST["draw"]),
	"recordsTotal"  	=>  $filtered_rows,
	"recordsFiltered" 	=> 	get_total_all_records($connect),
	"data"    			=> 	$data
);
echo json_encode($output);
function get_total_all_records($connect)
{
	$statement = $connect->prepare("SELECT * FROM accounts WHERE user_id > 15 and acc_type not LIKE '%DEBITOR%' and acc_type not LIKE '%CREDITOR%'
");
	$statement->execute();
	return $statement->rowCount();
}
?>